///////////////////////////////////////////////////////////////////////////
//
// loadFlyout - first method called when Flyout loads
//
///////////////////////////////////////////////////////////////////////////
function loadFlyout() {   
    // main flyout onload method (first method called every time 
    // the flyout is loaded)
    
    // set flyout document styles
    document.body.style.width = "270px";
    document.body.style.height = "140px";
    document.body.style.backgroundImage = "url(images/backgnd_310X230.png)";
    // * NOTE - the above flyout document width and height settings 
    //          should be set to the same dimensions as the size of 
    //          the above background image.

    // set main flyout frame styles (main flyout area minus outer frame)
    flyoutMainFrame.style.width = "261px";
    flyoutMainFrame.style.height = "133px";
    
    // set content frame styles (main flyout content area)
    flyoutContentFrame.style.width = "261px";
    flyoutContentFrame.style.height = "133px";
    
    renderFlyoutData();
    

}
///////////////////////////////////////////////////////////////////////////
function renderFlyoutData()
{
    // If there are no settings, prompt the user to enter them
    if (System.Gadget.document.parentWindow.globalLogon == "")
    {
        document.getElementById("flyoutPlanDetails").innerHTML = "Check Settings";
        document.getElementById("flyoutInfoLine1").innerHTML = "The settings for the gadget need to be configured, please close the flyout and right click on the main gadget and choose 'options' from the menu";
    }
    else
    {
            document.getElementById("flyoutPlanDetails").innerHTML = "<a href='" + System.Gadget.document.parentWindow.globalURL + "'>Carphone Warehouse Stats</a>";
            document.getElementById("flyoutInfoLine1").innerHTML = "Calls Left: <b>" + System.Gadget.document.parentWindow.globalPeakUsage; 
            document.getElementById("flyoutInfoLine2").innerHTML = "Messages Left: <b>" + (parseInt(System.Gadget.document.parentWindow.globalOffpeakUsage) + parseInt(System.Gadget.document.parentWindow.messages2));
            
            
            document.getElementById("flyoutInfoLine3").innerHTML = "Unbilled Charges: <b>" + System.Gadget.document.parentWindow.unbilled;
            document.getElementById("flyoutInfoLine4").innerHTML = "Phone Number: <b>" + System.Gadget.document.parentWindow.phonenumber;
            document.getElementById("flyoutInfoLine5").innerHTML = "Direct Debit date for next bill: <b>" + System.Gadget.document.parentWindow.directdebit; 
            document.getElementById("flyoutInfoLine6").innerHTML = "Last bill amount: <b>" + System.Gadget.document.parentWindow.lastBillAmount; 
            
            
    }
}
